Skip to content

Check Lineage Health

GET
/api/v1/lineage/health
curl --request GET \
--url https://example.com/api/v1/lineage/health

Check lineage service health and ACCESS_HISTORY accessibility.

This endpoint verifies that the Snowflake account has:

  • Enterprise Edition or higher (required for ACCESS_HISTORY)
  • Proper permissions to query ACCOUNT_USAGE views
  • Recent data in ACCESS_HISTORY

Returns: LineageHealthCheck with service status and availability

Raises: HTTPException: If health check fails completely

X-Environment-Id
Any of:
string

Successful Response

Media typeapplication/json
LineageHealthCheck

Health check response for lineage services.

object
status
required
Status

Service status (healthy/unhealthy)

string
access_history_available
required
Access History Available

ACCESS_HISTORY view accessibility

boolean
query_history_available
required
Query History Available

QUERY_HISTORY view accessibility

boolean
last_sync_time
Any of:
string format: date-time
error_message
Any of:
string
total_queries_tracked
Any of:
integer
Examplegenerated
{
"status": "example",
"access_history_available": true,
"query_history_available": true,
"last_sync_time": "2026-04-15T12:00:00Z",
"error_message": "example",
"total_queries_tracked": 1
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}